package com.steerinfo.baseinfo.meterbasecalibrarelation.mapper;

import com.steerinfo.baseinfo.meterbasecalibrarelation.model.MeterBaseCalibraRelation;
import com.steerinfo.framework.mapper.IBaseMapper;
import feign.Param;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface MeterBaseCalibraRelationMapper extends IBaseMapper<MeterBaseCalibraRelation, String> {
     String GetNewID();

     List<MeterBaseCalibraRelation> doQueryCalibrationWf(@Param(value = "baseSpotNo") String baseSpotNo);

     List<MeterBaseCalibraRelation> doQueryCalibrationNeedWf(@Param(value = "baseSpotNo") String baseSpotNo);

     List<MeterBaseCalibraRelation> selectByCalibTimeNo(String calTimeNo);
}